getApproverDetails

Prev Next
Get
/po-rest-api/rest/1/poapprover

Overview

This endpoint allows retrieving Purchase Order (PO) Approver records from CMiC.

It is designed for reading approver details based on PO Request Code and Company Code using a finder.


Notes

  • Authentication and authorization are required.

  • This is a read-only endpoint and does not modify data.

  • Results can be filtered using the selectByReqCode finder.

  • Large result sets should use limit and offset.


UI Navigation

Asset Management -> Requisitions -> Enter Requisition -> Approver
Asset Management -> Purchase Order -> Enter Purchase Order -> Approver


Finders

The following finder is available for data filtering and optimizing request performance:

  • selectByReqCode

This is a GET (read) endpoint and supports finders.


Path Parameters

Not applicable.

This endpoint does not use path parameters for GET requests.


Query Standards

This endpoint supports the following query parameters:

Key Recommended Description
finder Yes Filters data based on Request Code and Company Code.
limit Yes Limits the number of records returned.
offset Yes Skips a specified number of records before returning results.
orderBy Yes Sorts the returned records based on a specified attribute.

Finders with Example

Finder: selectByReqCode

Example request:

{{CMIC_BaseUrl}}/po-rest-api/rest/1/poapprover?finder=selectByReqCode;porqcode=POREQ565,porqcompcode=ZZ

Finder Parameter Data Type Description Example Mandatory
selectByReqCode porqcode String PO Request Code POREQ565 Optional
selectByReqCode porqcompcode String Company Code ZZ Optional

Attributes

The response returns a collection of PO Approver records.

CMiC UI Fieldname Object Name Description Type Data Length Example Mandatory
PoporqapAprvFlag PoApprover PoporqapAprvFlag Approval Flag String 1 Y False
PoporqapAprvCode PoApprover PoporqapAprvCode Approver Code String 10 DA False
PoporqapUserId PoApprover PoporqapUserId Approver User ID String 30 DA False
PoporqapAprvName PoApprover PoporqapAprvName Approver Name String 30 DA False
PoporqapAprvDate PoApprover PoporqapAprvDate Approval Date and Time String N/A 2010-02-23 14:44:23 False
PoporqapLevelNum PoApprover PoporqapLevelNum Approval Level Number 2/0 1 False
PoporqapLevelDesc PoApprover PoporqapLevelDesc Level Description String 60 Approval Level 1 False
PoporqapLevelLimit PoApprover PoporqapLevelLimit Approval Limit Number 11/2 999999999.0 False
PoporqapLocCode PoApprover PoporqapLocCode Location Code String 5 CHICA False
PoporqapDeptCode PoApprover PoporqapDeptCode Department Code String 6 00 False
PoporqapPoReleaseNum PoApprover PoporqapPoReleaseNum PO Release Number Number 11/0 1 True
PoporqapIuCreateDate PoApprover PoporqapIuCreateDate Record Creation Date String N/A System generated False
PoporqapIuCreateUser PoApprover PoporqapIuCreateUser Created By String 30 System user False
PoporqapIuUpdateDate PoApprover PoporqapIuUpdateDate Last Updated Date String N/A System generated False
PoporqapIuUpdateUser PoApprover PoporqapIuUpdateUser Last Updated By String 30 System user False
PoporqapVUuid PoApprover PoporqapVUuid Unique Identifier (UUID) String 64 CDA3D357EE1A6156E053508010AC6435 False
Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceitem+json
Query parameters
finder
string
ExampleselectByReqCode;porqcode=POREQ565,porqcompcode=ZZ
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
"{\n    \"items\": [\n        {\n            \"PoporqapAprvCode\": \"CARRIE\",\n            \"PoporqapAprvDate\": null,\n            \"PoporqapAprvFlag\": \"N\",\n            \"PoporqapAprvName\": \"CARRIE\",\n            \"PoporqapCompCode\": \"ZZ\",\n            \"PoporqapCompName\": \"CMiC-ZZ  Test Company Incorp\",\n            \"PoporqapDeptCode\": null,\n            \"PoporqapIuCreateDate\": \"2025-11-19T10:36:41-05:00\",\n            \"PoporqapIuCreateUser\": \"YASHB\",\n            \"PoporqapIuUpdateDate\": \"2025-11-19T10:37:39-05:00\",\n            \"PoporqapIuUpdateUser\": \"YASHB\",\n            \"PoporqapLevelDesc\": \"LEVEL 1\",\n            \"PoporqapLevelLimit\": 50000,\n            \"PoporqapLevelNum\": 1,\n            \"PoporqapLocCode\": null,\n            \"PoporqapObjectOraseq\": 2580003393,\n            \"PoporqapPoCode\": \"No PO\",\n            \"PoporqapPoReleaseNum\": 1,\n            \"PoporqapRqCode\": \"POREQ565\",\n            \"PoporqapState\": \"R\",\n            \"PoporqapUserId\": \"CARRIE\",\n            \"PoporqapVUuid\": \"43F558C0B7A10481E0630B811DAC3915\",\n            \"links\": [\n                {\n                    \"rel\": \"self\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poapprover/43F558C0B7A10481E0630B811DAC3915\",\n                    \"name\": \"poapprover\",\n                    \"kind\": \"item\"\n                },\n                {\n                    \"rel\": \"canonical\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poapprover/43F558C0B7A10481E0630B811DAC3915\",\n                    \"name\": \"poapprover\",\n                    \"kind\": \"item\"\n                }\n            ]\n        }\n    ],\n    \"count\": 1,\n    \"hasMore\": false,\n    \"limit\": 25,\n    \"offset\": 0,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poapprover\",\n            \"name\": \"poapprover\",\n            \"kind\": \"collection\"\n        }\n    ]\n}"
string
Copyright © 2024 CMiC All Rights Reserved